<?php

declare(strict_types=1);

namespace App\Message\Message\Shop;

/**
 * Message for processing a new structure artist premium trial request.
 */
class NewStructureArtistPremiumTrial
{
    public function __construct(
        private string $token,
    ) {
    }

    public function getToken(): string
    {
        return $this->token;
    }

    public function setToken(string $token): void
    {
        $this->token = $token;
    }
}
